1

FRESH install of raspbian-lite from NOOBS, tried to get docker to install and run just segfaults.

Tried installing the normal way:

sudo curl -sSL https://get.docker.com | sh

All I get is:

● docker.service - Docker Application Container Engine
   Loaded: loaded (/lib/systemd/system/docker.service; enabled; vendor preset: enabled)
   Active: failed (Result: core-dump) since Thu 2019-02-14 05:02:48 GMT; 6s ago
     Docs: https://docs.docker.com
  Process: 3444 ExecStart=/usr/bin/dockerd -H unix:// (code=dumped, signal=SEGV)
 Main PID: 3444 (code=dumped, signal=SEGV)
      CPU: 649ms

Feb 14 05:02:45 raspberrypi systemd[1]: Starting Docker Application Container Engine...
Feb 14 05:02:48 raspberrypi systemd[1]: docker.service: Main process exited, code=dumped, status=11/SEGV
Feb 14 05:02:48 raspberrypi systemd[1]: Stopped Docker Application Container Engine.
Feb 14 05:02:48 raspberrypi systemd[1]: docker.service: Unit entered failed state.
Feb 14 05:02:48 raspberrypi systemd[1]: docker.service: Failed with result 'core-dump'.

Purged and tried again:

sudo apt-get purge -y docker-ce
sudo apt-get purge -y docker-ce-cli
sudo apt-get purge -y containerd.io
sudo apt-get autoremove
sudo rm -Rf /var/lib/docker

Same deal.

Tried manual instillation:

wget https://download.docker.com/linux/debian/dists/stretch/pool/stable/armhf/containerd.io_1.2.2-3_armhf.deb   
wget https://download.docker.com/linux/debian/dists/stretch/pool/stable/armhf/docker-ce-cli_18.09.2~3-0~debian-stretch_armhf.deb
wget https://download.docker.com/linux/debian/dists/stretch/pool/stable/armhf/docker-ce_18.09.0~3-0~debian-stretch_armhf.deb  
sudo dpkg -i containerd.io_1.2.2-3_armhf.deb   
sudo dpkg -i docker-ce-cli_18.09.2~3-0~debian-stretch_armhf.deb
sudo dpkg -i docker-ce_18.09.0~3-0~debian-stretch_armhf.deb 

Still nothing. Out of ideas.

uname -a:

Linux raspberrypi 4.14.79+ #1159 Sun Nov 4 17:28:08 GMT 2018 armv6l GNU/Linux

lsb_release -cs

stretch

Raspberry pi model b+

Trying to get this installed on one PI before working on getting it to run on my Nano-Pi NEO Cluster. Figured it might be a good idea to set up a swarm.

1

1 Answer 1

1

Thanks @MatsK as of 2/10/14 Dockers default package (18.06.2~ce~3-0~raspbian) is broken.

A work around is to instead do:

sudo apt-get install docker-ce=18.06.1~ce~3-0~raspbian

Really wish there was better debug information other then "Seg fault"

This site is temporarily in read-only mode and not accepting new answers.

Not the answer you're looking for? Browse other questions tagged .